Energia

## pulseIn()

#### Description

Reads a pulse (either HIGH or LOW) on a pin. For example, if value is HIGH, pulseIn() waits for the pin to go HIGH, starts timing, then waits for the pin to go LOW and stops timing. Returns the length of the pulse in microseconds. Gives up and returns 0 if no pulse starts within a specified time out.

The timing of this function has been determined empirically and will probably show errors in longer pulses. Works on pulses from 10 microseconds to 3 minutes in length.

#### Syntax

pulseIn(pin, value)
pulseIn(pin, value, timeout)

#### Parameters

pin: the number of the pin on which you want to read the pulse. (int)

value: type of pulse to read: either HIGH or LOW. (int)

timeout (optional): the number of microseconds to wait for the pulse to start; default is one second (unsigned long)

#### Returns

the length of the pulse (in microseconds) or 0 if no pulse started before the timeout (unsigned long)

#### Example

    int pin = 7;
    unsigned long duration;

    void setup()
    {
      pinMode(pin, INPUT);
    }

    void loop()
    {
      duration = pulseIn(pin, HIGH);
    }

Reference Home

Corrections, suggestions, and new documentation should be posted to the Forum.

The text of the Energia Reference is licensed under a Creative Commons Attribution-ShareAlike 3.0 License. Energia reference is based on Arduino reference. Code samples in the reference are released into the public domain.

©Energia | Edit Page | Page History | Printable View | All Recent Site Changes